%global         snapdate   20130210
%global         snapver    %{snapdate}cvs


Name:           libexif-gtk
Version:        0.3.6
Release:        2.%{snapver}%{?dist}
Summary:        Library to display EXIF tags in GTK programs
Summary(fr):    Bibliothèque pour l'affichage des données EXIF dans les programmes en GTK

License:        LGPLv2+
URL:            http://libexif.sourceforge.net/


# Build tarball from the CVS repo:
#   cvs -z3 -d:pserver:anonymous@libexif.cvs.sourceforge.net:/cvsroot/libexif co -P libexif-gtk
#   tar -Jcf libexif-gtk-0.3.6-20130210cvs.tar.xz libexif-gtk/
Source0:        %{name}-%{version}-%{snapver}.tar.xz


BuildRequires:  libexif-devel
BuildRequires:  gtk2-devel
BuildRequires:  autoconf
BuildRequires:  gettext-devel
BuildRequires:  libtool


%description
Libexif-gtk is a library of widgets to help display EXIF tags in GTK
programs.

%description -l fr
Libexif-gtk est une bibliothèque d'accessoires pour aider à l'affichage
des données EXIF dans les programmes en GTK.



%package devel
Summary:       Files needed for building applications with libexif-gtk
Summary(fr):   Fichiers nécéssaires pour construire des applications avec libexif-gtk

Requires:      %{name}%{?_isa} = %{version}-%{release}
Requires:      pkgconfig
Requires:      libexif-devel%{?_isa}
Requires:      gtk2-devel%{?_isa}


%description devel
The libexif-gtk-devel package includes header files and libraries
necessary for developing programs which use the libexif-gtk library.

%description devel -l fr
Le paquet libexif-gtk-devel inclue les fichiers d'en-tête et bibliothèques
nécéssaires au développement des programmes utilisant la bibliothèque
libexif-gtk.



%prep
%setup -qn %{name}
./autogen.sh


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/%{name}.la
%find_lang %{name}-5



%check
make check


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}-5.lang
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/%{name}.so.*


%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/



%changelog
* Tue Feb 12 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 0.3.6-2.20130210cvs
- Fix license tag
- Add missing requires tags in devel subpackage
- Add test suite in %%check section

* Sun Feb 10 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 0.3.6-1.20130210cvs
- Initial release
